<?php
class Numero_telephone extends CI_Controller{
	public function __construct(){
		parent::__construct();
		$this->load->library('input');
		$this->load->helper('url');
		
		$this->load->helper('my_numero_telephone_helper');
	}	
	
	
	
	public function create(){
		$numero_telephone = $this->input->post('numero_telephone');
		$personne_idpersonne = $this->input->post('personne_idpersonne');
		createNumeroTelephone($numero_telephone, $personne_idpersonne);
		
		$this->load->helper('my_personne_helper');
		$data['personne']= getPersonneById($personne_idpersonne);
		$data['numeros'] = getNumeroTelephoneByIdPersonne($data['personne']->id);
	
		$this->load->view('templates/header');
		$this->load->view('consulter_modifier_view',$data);
		$this->load->view('templates/footer');
	}
	
	public function update($idpersonne){
		/*
		 * $idpersonne = $_GET['idpersonne'];
		require_once MODELSPATH.'personne_utils.php';
		$personne = personne\getOne($idpersonne);
		require_once MODELSPATH.'numero_telephone_utils.php';
		$numeros = numero_telephone\getByIdpersonne($idpersonne);
		 */
		$data['personne']= getPersonneById($idpersonne);
		$data['numeros'] = getNumeroTelephoneByIdPersonne($data['personne']->id);
	
		$this->load->view('templates/header');
		$this->load->view('consulter_modifier_view',$data);
		$this->load->view('templates/footer');
	}
	
	public function updateOk()
	{
		$id = $this->input->post('idpersonne');
		$nom = $this->input->post('nom');
		$prenom = $this->input->post('prenom');
		updatePersonne($id, $nom, $prenom);
		redirect('personne');
	}
	
	public function delete($id, $idpersonne){
		deleteNumeroTelephone($id);
		
		$this->load->helper('my_personne_helper');
		$data['personne']= getPersonneById($idpersonne);
		$data['numeros'] = getNumeroTelephoneByIdPersonne($data['personne']->id);
	
		$this->load->view('templates/header');
		$this->load->view('consulter_modifier_view',$data);
		$this->load->view('templates/footer');
	}
	
	
	
	
}
