<?php

if (!defined('BASEPATH'))
exit('No direct script access allowed');

function getAllPersonne() {
	$CI = & get_instance();
	
	$query = $CI->db->get('personne');
	return $query->result();
}

function createPersonne($nom, $prenom) {
	$CI = & get_instance();
	
	$CI->db->set('nom',$nom);
	$CI->db->set('prenom',$prenom);
	$CI->db->insert('personne');
}

function updatePersonne($id, $nom, $prenom){
	$CI = & get_instance();
	
	$data = array(
               'nom' => $nom,
               'prenom' => $prenom
	);

	$CI->db->where('id', $id);
	$CI->db->update('personne', $data);
}

function deletePersonne($id){
	$CI = & get_instance();
	$CI->db->where('id', $id);
	$CI->db->delete('personne');
}

function getPersonneById($id){
	$CI = & get_instance();
	
	$CI->db->select('id, nom, prenom');
	$CI->db->where('id',$id);
	$query = $CI->db->get('personne');
	return $query->row();
}